> This page is for APIs, version Calculations.
> For other versions, use one of these documentation indexes:
> - Overview (default): https://avalara.ferndocs.com/api-reference/overview/llms.txt
> - Calculations: https://avalara.ferndocs.com/api-reference/calculations/llms.txt
> - E-invoicing: https://avalara.ferndocs.com/api-reference/e-invoicing/llms.txt
> - Brazil: https://avalara.ferndocs.com/api-reference/brazil/llms.txt
> - Returns: https://avalara.ferndocs.com/api-reference/returns/llms.txt
> - Shared service: https://avalara.ferndocs.com/api-reference/shared-service/llms.txt
> - 1099 & W-9: https://avalara.ferndocs.com/api-reference/1099-w9/llms.txt
> - Tax registrations & business licenses: https://avalara.ferndocs.com/api-reference/tax-registrations/llms.txt
> - ECM: https://avalara.ferndocs.com/api-reference/ecm/llms.txt
> - Cross-Border: https://avalara.ferndocs.com/api-reference/cross-border/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://avalara.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://avalara.ferndocs.com/_mcp/server.

# List Jurisdiction Tax Types And Sub Types

GET https://rest.avatax.com/api/v2/definitions/jurisdictions/{country}/{region}/{jurisdictionTypeId}/{jurisdictionCode}/taxTypesAndSubTypes

> **Access control:** this endpoint is available to users with the `everyone` role.

Returns a list of tax type and subtype groups, and optionally the available rate types for each group, applicable for a given jurisdiction.
            
This API lets you filter tax types and rate types based on whether they may apply in a given jurisdiction and provides a description of each.

If a company ID is provided, then only the tax types for which the company has nexus are shown.

If custom content is included, then all available custom tax types are included in the result if the calling user has the appropriate subscription
and the tax types are available in the jurisdiction's country.

Reference: https://avalara.ferndocs.com/api-reference/calculations/ava-tax/public-reference/list-jurisdiction-tax-types-and-sub-types

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Path parameters

- `country` (string, required) — ISO country code (e.g. `US`)
- `region` (string, required) — ISO region or state/province code (e.g. `CA` for California)
- `jurisdictionTypeId` (string, required) — Jurisdiction type identifier (e.g. `STA` for state)
- `jurisdictionCode` (string, required) — Code identifying a specific jurisdiction

### Query parameters

- `companyId` (integer, optional) — Optional query parameter. When set, tax type/subtype pairs are filtered to those which correspond to the company's configured nexus. When omitted, no nexus-based filtering is applied.
- `effectiveDate` (datetime, optional) — Optional query parameter. When companyId is not provided, this is the date used to filter effective tax types and rate types. Defaults to the current date.
- `$top` (integer, optional) — If nonzero, return no more than this number of results. Used with `$skip` to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.
- `$skip` (integer, optional) — If nonzero, skip this number of results before returning data. Used with `$top` to provide pagination for large datasets.
- `$orderBy` (string, optional) — A comma separated list of sort statements in the format `(fieldname) [ASC|DESC]`, for example `id ASC`.
- `$filter` (string, optional) — A filter statement to identify specific records to retrieve. For more information on filtering, see [Filtering in REST](http://developer.avalara.com/avatax/filtering-in-rest/).*Not filterable:* rateTypes
- `$includeCustomContent` (boolean, optional, default: false) — When true, merges in potentially applicable custom tax types and subtypes into result (i.e. for which no system content is defined). Defaults to false.
- `$includeRateTypes` (boolean, optional, default: true) — Query parameter `$includeRateTypes`. When true (default), returns the rate types available for each tax type + subtype pair in the result.

### Headers

- `X-Avalara-Client` (string, optional, default: Swagger UI; 26.7.0; Custom; 1.0) — Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) .

## Response

### 200

Success

- `@recordsetCount` (integer, optional)
- `value` (list of JurisdictionTaxTypesAndSubTypesModel, optional)
- `@nextLink` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `any`

### 401 Unauthorized Error

Unauthorized

- `any`

### 404 Not Found Error

Not Found

- `any`

## Types

### JurisdictionTaxTypesAndSubTypesModel

One tax type + subtype combination for a jurisdiction.

- `taxTypeId` (string, required) — ID of the tax type.
- `taxTypeDescription` (string, required) — Text description of the tax type.
- `taxSubTypeId` (string, required) — ID of the tax subtype.
- `taxSubTypeDescription` (string, required) — Text description of the tax subtype.
- `jurisdictionTaxTypeSubtypeDescription` (string, required) — Summary tax type display name derived from tax type and subtype.
- `rateTypes` (list of RateTypesModel, optional) — Populated when `$includeRateTypes=true` (default). Empty when rate types are omitted.

### RateTypesModel

Rate types Model

- `id` (integer, optional) — The unique ID number of this rate type.
- `rateType` (string, optional) — The name of this rateType
- `description` (string, optional) — The description of this rate type.

## Examples

**Response**

```json
{
  "@recordsetCount": 1,
  "value": [
    {
      "taxTypeId": "C",
      "taxTypeDescription": "ConsumerUse",
      "taxSubTypeId": "C",
      "taxSubTypeDescription": "ConsumerUse",
      "jurisdictionTaxTypeSubtypeDescription": "Consumer use",
      "rateTypes": [
        {
          "id": 1,
          "rateType": "*",
          "description": "ALL"
        }
      ]
    }
  ],
  "@nextLink": "string"
}
```

**SDK Code**

```python
import requests

url = "https://rest.avatax.com/api/v2/definitions/jurisdictions/country/region/jurisdictionTypeId/jurisdictionCode/taxTypesAndSubTypes"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://rest.avatax.com/api/v2/definitions/jurisdictions/country/region/jurisdictionTypeId/jurisdictionCode/taxTypesAndSubTypes';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.avatax.com/api/v2/definitions/jurisdictions/country/region/jurisdictionTypeId/jurisdictionCode/taxTypesAndSubTypes"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://rest.avatax.com/api/v2/definitions/jurisdictions/country/region/jurisdictionTypeId/jurisdictionCode/taxTypesAndSubTypes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.avatax.com/api/v2/definitions/jurisdictions/country/region/jurisdictionTypeId/jurisdictionCode/taxTypesAndSubTypes")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.avatax.com/api/v2/definitions/jurisdictions/country/region/jurisdictionTypeId/jurisdictionCode/taxTypesAndSubTypes', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://rest.avatax.com/api/v2/definitions/jurisdictions/country/region/jurisdictionTypeId/jurisdictionCode/taxTypesAndSubTypes");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.avatax.com/api/v2/definitions/jurisdictions/country/region/jurisdictionTypeId/jurisdictionCode/taxTypesAndSubTypes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```